using System.ComponentModel;

namespace RB_MES_API.Models
{
    /// <summary>
    /// 物料
    /// </summary>
    public class TB_BS_MTRL
    {
        public int FItemID { get; set; }
        [DisplayName("物料编码")]
        public string MTRL_ID { get; set; } = string.Empty;
        [DisplayName("物料名称")]
        public string MTRL_Name { get; set; } = string.Empty;
        [DisplayName("物料规格")]
        public string MTRL_DESC { get; set; } = string.Empty;
        [DisplayName("生产分类")]
        public int PROD_MTYPE { get; set; }
        [DisplayName("最小包装数量")]
        public decimal PACK_QTY { get; set; } = 1;
        [DisplayName("单位编码")]
        public string MUNIT { get; set; } = string.Empty;
        [DisplayName("ABC分类")]
        public string MTRL_LEV { get; set; } = "B";
        [DisplayName("禁用")]
        public string DISABLE { get; set; } = "N";
        [DisplayName("是否免检")]
        public string IS_STS { get; set; } = "N";
        [DisplayName("默认物料仓库")]
        public string STORE_ID { get; set; } = string.Empty;
        [DisplayName("制造商名称")]
        public string MF_NAME { get; set; } = string.Empty;
        [DisplayName("工位")]
        public string STATION_ID { get; set; } = string.Empty;
        [DisplayName("产品全名称")]
        public string PROD_ALLNAME { get; set; } = string.Empty;
        [DisplayName("ERP产品名称")]
        public string ERP_PRODNAME { get; set; } = string.Empty;
        [DisplayName("湿敏等级")]
        public string MSD_Level { get; set; }= string.Empty;
        [DisplayName("元件尺寸")]
        public string Element_Size { get; set; } = string.Empty;
        [DisplayName("是否湿敏元器件")]
        public string IS_MSD { get; set; } = string.Empty;
        [DisplayName("物料版本号")]
        public string MTRL_VER { get; set; } = string.Empty;

        [DisplayName("向上取整标识")]
        public string IS_CEIL { get; set; } = "N";
    }
}
